#include <bits/stdc++.h>

using ll = long long;

using namespace std;

#define int ll

signed main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    // freopen("input.txt", "r", stdin);
    // freopen("output.txt", "w", stdout);

    int n, m, g;
    cin >> n >> m >> g;
    assert(g == 3);
    cout << (m - n + 1) << "\n" << 1;

    cout << "\n";
    return 0;
}